## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iPcMovable Member List

This is the complete list of members for iPcMovable, including all inherited members.

AddConstraint(iPcMovableConstraint *constraint)=0 | iPcMovable | `[pure virtual]`
GetMesh()=0 | iPcMovable | `[pure virtual]`
Move(iSector *sector, const csVector3 &pos)=0 | iPcMovable | `[pure virtual]`
Move(const csVector3 &relpos)=0 | iPcMovable | `[pure virtual]`
RemoveAllConstraints()=0 | iPcMovable | `[pure virtual]`
RemoveConstraint(iPcMovableConstraint *constraint)=0 | iPcMovable | `[pure virtual]`
SetMesh(iPcMesh *mesh)=0 | iPcMovable | `[pure virtual]`